チケット #44577

generate_packets.py: overhaul Variant.get_send() and Variant.get_receive() string formatting

登録: 2022-05-13 05:34 最終更新: 2022-05-16 23:56

報告者:
担当者:
チケットの種類:
状況:
完了
コンポーネント:
マイルストーン:
優先度:
5 - 中
重要度:
5 - 中
解決法:
修正済み
ファイル:
なし

詳細

Part of #43927. Split from #44575. The get_send() and get_receive() methods of the Variant class do their own formatting thing that needs to be replaced with something more robust. For this reason, they've been left out of a number of recent refactorings, which should also be applied to them once viable.

Steps to be done:

  • For Variant.get_receive(), along with Variant.get_delta_receive_body() (and Field.get_get_real()):
    • #44597 Replace the <var>-based custom formatting with a string join
    • #44598 Distribute the % (printf-style) formatting out to the individual parts (that need them) in get_receive()
    • #44599 Replace % formatting with str.format() and only the required arguments in get_receive(); cf. #44575
    • #44601 Deal with string formatting in get_delta_receive_body() (and Field.get_get_real())
  • For Variant.get_send(), along with Variant.get_delta_send_body()
    • #44602 Give get_delta_send_body() access to pre2 (in some way) so that it doesn't need the custom formatting anymore
    • #44603 Replace the <var>-based custom formatting with a string join
    • #44604 Distribute the % (printf-style) formatting out to the individual parts (that need them) in get_send()
    • #44605 Replace % formatting with str.format() and only the required arguments in get_send(); cf. #44575
    • #44606 Deal with string formatting in get_delta_send_body()
  • #44607 Apply the equivalent of #44584 to the resulting code

チケットの履歴 (8 件中 3 件表示)

2022-05-13 05:34 更新者: alienvalkyrie
  • 新しいチケット "generate_packets.py: overhaul Variant.get_send() and Variant.get_receive() string formatting" が作成されました
2022-05-15 04:04 更新者: alienvalkyrie
  • 詳細が更新されました
コメント

I'll be using this ticket as a smaller metaticket, since the affected code is large enough that it should probably be done in multiple steps.

2022-05-15 04:17 更新者: alienvalkyrie
  • 詳細が更新されました
2022-05-15 06:15 更新者: alienvalkyrie
  • 詳細が更新されました
コメント

get_receive() parts done.

2022-05-15 06:30 更新者: alienvalkyrie
  • 詳細が更新されました
2022-05-15 08:12 更新者: alienvalkyrie
  • 詳細が更新されました
2022-05-15 09:05 更新者: alienvalkyrie
  • 詳細が更新されました
コメント

All sub-issues are now in review. Once they are merged, this ticket will be closed.

2022-05-16 23:56 更新者: alienvalkyrie
  • 状況オープン から 完了 に更新されました
  • 解決法なし から 修正済み に更新されました
  • チケットの種類パッチ から Tasks に更新されました

添付ファイルリスト

添付ファイルはありません

編集

ログインしていません。ログインしていない状態では、コメントに記載者の記録が残りません。 » ログインする